## Package org.apache.batik.util.gui.resource

Interface Summary
ActionMap: This interface represents an object which maps actions to strings
JComponentModifier: This interface must be implemented by actions which need to have an access to their associated component(s)

Class Summary
ButtonFactory: This class represents a button factory which builds buttons from the content of a resource bundle.
JToolbarButton: This class represents the buttons used in toolbars.
JToolbarSeparator: This class represents a separator for the toolbar buttons.
JToolbarToggleButton: This class represents the buttons used in toolbars.
MenuFactory: This class represents a menu factory which builds menubars and menus from the content of a resource file.
ToolBarFactory: This class represents a tool bar factory which builds tool bars from the content of a resource file.

Exception Summary
MissingListenerException: Signals a missing listener

Copyright © 2008 Apache Software Foundation. All Rights Reserved.